using AquaCubeIT.Service.NetFloppy.Models;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace AquaCubeIT.Service.NetFloppy.Controllers;

[ApiController]
[Route("[controller]")]
public class RegisterController : ControllerBase
{    
    private readonly ILogger<RegisterController> _logger;

    public RegisterController(ILogger<RegisterController> logger)
    {
        _logger = logger;
    }

    [Authorize(Policy = "MustBeUser")]
    [HttpPost]
    public RegisterResponse Post(RegisterRequest request)
    {
        return new RegisterResponse() { Success = true, Payload = new RegisterResponsePayload() { Name = "Test", Description = "Test Drive", EmulationType = "Unknown Floppy Type" }};
    }

    [HttpGet]
    public RegisterResponse Get()
    {
        return new RegisterResponse() { Success = true, Payload = new RegisterResponsePayload() { Name = "Test", Description = "Test Drive", EmulationType = "Unknown Floppy Type" } };
    }
}
